path: /build/build/argcomplete-dev-python-3.2.3.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-python_targets_pypy3 -python_targets_python2_7 -python_targets_python3_10 -python_targets_python3_7 -python_targets_python3_8 -test python_targets_python3_9" emerge dev-python/argcomplete -pv -t && \
    USE="-python_targets_pypy3 -python_targets_python2_7 -python_targets_python3_10 -python_targets_python3_7 -python_targets_python3_8 -test python_targets_python3_9" emerge -j ${JOBS} --nodeps dev-python/argcomplete
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/argcomplete && luet-portage --dir /pkgdir/argcomplete
    dev-python/argcomplete && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:55d9e119261cbaed07b48b9361a12cfe4d287283f2ffd599e5aca63a03aa941e
  package:
    name: argcomplete
    version: 3.2.3
    category: dev-python
    use_flags:
    - -python_targets_pypy3
    - -python_targets_python2_7
    - -python_targets_python3_10
    - -python_targets_python3_7
    - -python_targets_python3_8
    - -test
    - python_targets_python3_9
    requires:
    - name: macaroni-funtoo-race16
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Bash tab completion for argparse
    uri:
    - https://pypi.org/project/argcomplete/
    license: Apache-2.0
    buildtimestamp: 2024-04-19 21:48:52.702117332 +0000 UTC m=+142.239085959
    labels:
      BDEPEND: python_targets_python3_10? ( dev-lang/python:3.10 ) python_targets_python3_7?
        ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 )
        python_targets_python3_8? ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
        >=dev-python/gpep517-6[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
        >=dev-python/setuptools-62.3.3[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
        dev-python/wheel[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      DEPEND: dev-python/setuptools_scm[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      IUSE: python_targets_python3_10 python_targets_python3_7 python_targets_python3_9
        python_targets_python3_8
      RDEPEND: python_targets_python3_10? ( dev-lang/python:3.10 ) python_targets_python3_7?
        ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 )
        python_targets_python3_8? ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      emerge.packages: dev-python/argcomplete
      kit: python-modules-kit
      original.package.name: dev-python/argcomplete
      original.package.slot: "0"
      original.package.version: 3.2.3
    treedir: /build/packages
  package_dir: /pkgdir/argcomplete
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 916ec2becc7da8eb681ab4c4d1e86331c945e274915c5d8b5ad1762116476590
compressiontype: zstd
files:
- usr/bin/activate-global-python-argcomplete
- usr/bin/python-argcomplete-check-easy-install-script
- usr/bin/register-python-argcomplete
- usr/lib/python-exec/python3.9/activate-global-python-argcomplete
- usr/lib/python-exec/python3.9/python-argcomplete-check-easy-install-script
- usr/lib/python-exec/python3.9/register-python-argcomplete
- usr/lib/python3.9/site-packages/argcomplete/__init__.py
- usr/lib/python3.9/site-packages/argcomplete/__pycache__/__init__.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/argcomplete/__pycache__/__init__.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/argcomplete/__pycache__/__init__.cpython-39.pyc
- usr/lib/python3.9/site-packages/argcomplete/__pycache__/_check_console_script.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/argcomplete/__pycache__/_check_console_script.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/argcomplete/__pycache__/_check_console_script.cpython-39.pyc
- usr/lib/python3.9/site-packages/argcomplete/__pycache__/_check_module.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/argcomplete/__pycache__/_check_module.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/argcomplete/__pycache__/_check_module.cpython-39.pyc
- usr/lib/python3.9/site-packages/argcomplete/__pycache__/completers.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/argcomplete/__pycache__/completers.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/argcomplete/__pycache__/completers.cpython-39.pyc
- usr/lib/python3.9/site-packages/argcomplete/__pycache__/exceptions.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/argcomplete/__pycache__/exceptions.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/argcomplete/__pycache__/exceptions.cpython-39.pyc
- usr/lib/python3.9/site-packages/argcomplete/__pycache__/finders.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/argcomplete/__pycache__/finders.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/argcomplete/__pycache__/finders.cpython-39.pyc
- usr/lib/python3.9/site-packages/argcomplete/__pycache__/io.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/argcomplete/__pycache__/io.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/argcomplete/__pycache__/io.cpython-39.pyc
- usr/lib/python3.9/site-packages/argcomplete/__pycache__/lexers.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/argcomplete/__pycache__/lexers.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/argcomplete/__pycache__/lexers.cpython-39.pyc
- usr/lib/python3.9/site-packages/argcomplete/__pycache__/shell_integration.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/argcomplete/__pycache__/shell_integration.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/argcomplete/__pycache__/shell_integration.cpython-39.pyc
- usr/lib/python3.9/site-packages/argcomplete/_check_console_script.py
- usr/lib/python3.9/site-packages/argcomplete/_check_module.py
- usr/lib/python3.9/site-packages/argcomplete/bash_completion.d/_python-argcomplete
- usr/lib/python3.9/site-packages/argcomplete/completers.py
- usr/lib/python3.9/site-packages/argcomplete/exceptions.py
- usr/lib/python3.9/site-packages/argcomplete/finders.py
- usr/lib/python3.9/site-packages/argcomplete/io.py
- usr/lib/python3.9/site-packages/argcomplete/lexers.py
- usr/lib/python3.9/site-packages/argcomplete/packages/__init__.py
- usr/lib/python3.9/site-packages/argcomplete/packages/__pycache__/__init__.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/argcomplete/packages/__pycache__/__init__.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/argcomplete/packages/__pycache__/__init__.cpython-39.pyc
- usr/lib/python3.9/site-packages/argcomplete/packages/__pycache__/_argparse.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/argcomplete/packages/__pycache__/_argparse.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/argcomplete/packages/__pycache__/_argparse.cpython-39.pyc
- usr/lib/python3.9/site-packages/argcomplete/packages/__pycache__/_shlex.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/argcomplete/packages/__pycache__/_shlex.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/argcomplete/packages/__pycache__/_shlex.cpython-39.pyc
- usr/lib/python3.9/site-packages/argcomplete/packages/_argparse.py
- usr/lib/python3.9/site-packages/argcomplete/packages/_shlex.py
- usr/lib/python3.9/site-packages/argcomplete/py.typed
- usr/lib/python3.9/site-packages/argcomplete/shell_integration.py
- usr/lib/python3.9/site-packages/argcomplete-3.2.3.dist-info/METADATA
- usr/lib/python3.9/site-packages/argcomplete-3.2.3.dist-info/NOTICE
- usr/lib/python3.9/site-packages/argcomplete-3.2.3.dist-info/RECORD
- usr/lib/python3.9/site-packages/argcomplete-3.2.3.dist-info/WHEEL
- usr/lib/python3.9/site-packages/argcomplete-3.2.3.dist-info/top_level.txt
- usr/share/doc/argcomplete-3.2.3/README.rst.bz2
- var/db/pkg/dev-python/argcomplete-3.2.3/BDEPEND
- var/db/pkg/dev-python/argcomplete-3.2.3/BUILD_TIME
- var/db/pkg/dev-python/argcomplete-3.2.3/CATEGORY
- var/db/pkg/dev-python/argcomplete-3.2.3/CBUILD
- var/db/pkg/dev-python/argcomplete-3.2.3/CFLAGS
- var/db/pkg/dev-python/argcomplete-3.2.3/CHOST
- var/db/pkg/dev-python/argcomplete-3.2.3/CONTENTS
- var/db/pkg/dev-python/argcomplete-3.2.3/COUNTER
- var/db/pkg/dev-python/argcomplete-3.2.3/CXXFLAGS
- var/db/pkg/dev-python/argcomplete-3.2.3/DEFINED_PHASES
- var/db/pkg/dev-python/argcomplete-3.2.3/DEPEND
- var/db/pkg/dev-python/argcomplete-3.2.3/DESCRIPTION
- var/db/pkg/dev-python/argcomplete-3.2.3/EAPI
- var/db/pkg/dev-python/argcomplete-3.2.3/FEATURES
- var/db/pkg/dev-python/argcomplete-3.2.3/HOMEPAGE
- var/db/pkg/dev-python/argcomplete-3.2.3/INHERITED
- var/db/pkg/dev-python/argcomplete-3.2.3/IUSE
- var/db/pkg/dev-python/argcomplete-3.2.3/IUSE_EFFECTIVE
- var/db/pkg/dev-python/argcomplete-3.2.3/KEYWORDS
- var/db/pkg/dev-python/argcomplete-3.2.3/LDFLAGS
- var/db/pkg/dev-python/argcomplete-3.2.3/LICENSE
- var/db/pkg/dev-python/argcomplete-3.2.3/PF
- var/db/pkg/dev-python/argcomplete-3.2.3/RDEPEND
- var/db/pkg/dev-python/argcomplete-3.2.3/SIZE
- var/db/pkg/dev-python/argcomplete-3.2.3/SLOT
- var/db/pkg/dev-python/argcomplete-3.2.3/USE
- var/db/pkg/dev-python/argcomplete-3.2.3/argcomplete-3.2.3.ebuild
- var/db/pkg/dev-python/argcomplete-3.2.3/environment.bz2
- var/db/pkg/dev-python/argcomplete-3.2.3/repository
package_cacheimage: ""
runtime:
  name: argcomplete
  version: 3.2.3
  category: dev-python
  use_flags:
  - -python_targets_pypy3
  - -python_targets_python2_7
  - -python_targets_python3_10
  - -python_targets_python3_7
  - -python_targets_python3_8
  - -test
  - python_targets_python3_9
  requires:
  - name: python
    version: '>=0'
    category: dev-lang-3.9
  - name: python-exec
    version: '>=0'
    category: dev-lang-2
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Bash tab completion for argparse
  uri:
  - https://pypi.org/project/argcomplete/
  license: Apache-2.0
  labels:
    BDEPEND: python_targets_python3_10? ( dev-lang/python:3.10 ) python_targets_python3_7?
      ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 ) python_targets_python3_8?
      ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      >=dev-python/gpep517-6[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      >=dev-python/setuptools-62.3.3[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      dev-python/wheel[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
    DEPEND: dev-python/setuptools_scm[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
    IUSE: python_targets_python3_10 python_targets_python3_7 python_targets_python3_9
      python_targets_python3_8
    RDEPEND: python_targets_python3_10? ( dev-lang/python:3.10 ) python_targets_python3_7?
      ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 ) python_targets_python3_8?
      ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
    emerge.packages: dev-python/argcomplete
    kit: python-modules-kit
    original.package.name: dev-python/argcomplete
    original.package.slot: "0"
    original.package.version: 3.2.3
